Blob Blame History Raw
diff -up cpqarrayd-2.3/scripts/cpqarrayd.orig cpqarrayd-2.3/scripts/cpqarrayd
--- cpqarrayd-2.3/scripts/cpqarrayd.orig	2008-07-09 17:55:59.000000000 +0300
+++ cpqarrayd-2.3/scripts/cpqarrayd	2008-07-14 16:43:49.000000000 +0300
@@ -2,7 +2,7 @@
 #
 # cpqarrayd    Start/Stop Compaq Array monitor
 #
-# chkconfig: 345 15 90
+# chkconfig: - 51 90
 # description: The cpqarrayd monitors the status of Compaq Raid Arrays, \
 #              and reports via syslog or traps
 # processname: cpqarrayd
@@ -23,8 +23,9 @@ RETVAL=0
 case "$1" in
   start)
         echo -n "Starting cpqarrayd: "
-        daemon /usr/sbin/cpqarrayd $CPQ_PARAMS
-        RETVAL=$?
+#        daemon /usr/sbin/cpqarrayd $CPQ_PARAMS |grep -v ^DEBUG:
+        { daemon /usr/sbin/cpqarrayd $CPQ_PARAMS 
+        RETVAL=$?; } |grep -v ^DEBUG:
         echo
         [ $RETVAL -eq 0 ] && touch /var/lock/subsys/cpqarrayd
         ;;
@@ -39,13 +40,22 @@ case "$1" in
         status cpqarrayd
         RETVAL=$?
         ;;
-  restart|reload)
+  restart|force-reload)
         $0 stop
         $0 start
         RETVAL=$?
         ;;
-  *)
-        echo "Usage: cpqarrayd {start|stop|status|restart|reload}"
+    reload)
+	exit 3
+	;;
+  condrestart|try-restart)
+	if status cpqarrayd > /dev/null; then
+ 	    $0 stop
+ 	    $0 start
+	fi
+	;;
+    *)
+        echo "Usage: cpqarrayd {start|stop|status|restart|force-reolad|reload|cond-restart|try-restart}"
         exit 1
 esac